Issue 2019 allow building with mtl 2

Title allow building with mtl 2
Priority wishlist Status resolved
Milestone 2.5.1 Resolved in 2.8.0
Superseder Nosy List alexsuraci
Assigned To

Created on 2010-12-17.03:16:07 by alexsuraci, last changed 2011-02-13.19:54:16 by noreply.

msg13372 (view) Author: alexsuraci Date: 2010-12-17.03:16:07
Darcs's .cabal file currently specifies mtl >= 1.0 && < 1.2; 2.x (which is 
the same afaik, just based on transformers) should work fine. I could use 
this for darcsden.
msg13599 (view) Author: ganesh Date: 2011-01-29.13:58:35
The following patch updated issue issue2019 with status=resolved;resolvedin=2.5.1 CURRENT

* resolve issue2019: mtl 2.x support 
Ignore-this: 5510660e64b10d55f37da40885eaeaad
Backport to 2.5 branch of patch by Alex Suraci <i.am@toogeneric.com>
msg13683 (view) Author: noreply Date: 2011-02-13.19:54:15
The following patch sent by Alex Suraci <i.am@toogeneric.com> updated issue issue2019 with
status=resolved;resolvedin=2.8.0 HEAD

* resolve issue2019: mtl 2.x support 
Ignore-this: 2096b1c2ad05b9a9f4a3c5744d01fc04
Date User Action Args
2010-12-17 03:16:07alexsuracicreate
2010-12-29 00:16:16ganeshsetmilestone: 2.5.1
2011-01-29 13:58:36ganeshsetstatus: unknown -> resolved
messages: + msg13599
resolvedin: 2.5.1
2011-02-13 19:54:16noreplysetmessages: + msg13683
resolvedin: 2.5.1 -> 2.8.0